import { type MMKV } from "react-native-mmkv";
import type { ReactotronCore } from "reactotron-core-client";
export interface MmkvPluginConfig {
    /**
     * MMKV storage instance
     * @example
     * import { MMKV } from "react-native-mmkv"
     * const storage = new MMKV()
     */
    storage: MMKV;
    /** Storage keys you want to ignore */
    ignore?: Array<string>;
}
/**
 * Reactotron plugin to log MMKV storage changes
 *
 * @example
 * import { MMKV } from 'react-native-mmkv'
 * import type { ReactotronReactNative } from 'reactotron-react-native'
 * // create your storage instance
 * const storage = new MMKV()
 *
 * // pass your instance to the plugin
 * Reactotron.use(mmkvPlugin<ReactotronReactNative>({ storage }))
 */
export default function mmkvPlugin<Client extends ReactotronCore = ReactotronCore>(config: MmkvPluginConfig): (reactotron: Client) => {
    onConnect(): void;
    onDisconnect(): void;
};
